eaccelerator-0.9.6-rc1はダメです。

phpアクセラレータであるeacceleratorを使っているのですが、

eaccelerator-0.9.6-rc1

は使うのをやめたほうが良いです。

このバージョンのものを使っていたとき、あるタイミングでapacheが無応答になりサーバ負荷が急激に上がる(load avg>10)現象に悩まされていました。(各種ログなどにはエラー出力無し)

アクセラレータを外すとこの現象が発生しないため、アクセラレータが原因であると断定しました。(ソースは追っかける気ありません)

最新のもの(ある程度実績がありそうなバージョン)を本家からダウンロードされることお勧めします。

http://eaccelerator.net/

パフォーマンスを気にしないサイトであれば、アクセラレータとか入れない方が良いと思います。

なんだかな。。。

カテゴリー: ガイドミーをガイドミー!, 技術関連 パーマリンク